IPCGET_PUBLIC(9)

NAME
ipcget_public - get an ipc object or create a new one

SYNOPSIS

int ipcget_public(struct ipc_namespace * ns, struct ipc_ids * ids, const struct ipc_ops * ops, struct ipc_params * params);

ARGUMENTS

ns
    ipc namespace

ids
    ipc identifier set

ops
    the actual creation routine to call

params
    its parameters

DESCRIPTION

This routine is called by sys_msgget, sys_semget and sys_shmget when the key is not IPC_PRIVATE. It adds a new entry if the key is not found and does some permission / security checkings if the key is found.

On success, the ipc id is returned.

COPYRIGHT